//////////////////////////////./
// HEADER

.header {
  background-color: #00000070;
  position: absolute;
  width: 100%;

  &__logo {
    letter-spacing: 5px;
  }

  a {
    color: #fff;
    text-decoration: none;
  }

  ul {
    display: flex;
    justify-content: space-around;
  }

  .login {
    margin-left: auto;
  }

  .userlogo--login {
    padding: 2px 10px 0;
    position: relative;

    @media screen and (max-width: 768px) {
      position: absolute;
      padding: 10px 0;
      bottom: 0px;
      border-bottom: 1px solid rgba(255, 255, 255, 0.337);
      border-top: 1px solid rgba(255, 255, 255, 0.337);

      svg {
        margin: 4px 5px 14px;
      }
      &:hover {
        background-color: transparent;
        font-weight: normal;
      }
    }
  }

  &__dropdown {
    display: none;
    position: absolute;
    top: 35px;
    left: -60px;
    width: 150px;
    background-color: #00000070;
    border-top: 1px solid rgba(255, 255, 255, 0.337);

    a {
      display: block;
      padding: 20px 15px;
      border-bottom: 1px solid rgba(255, 255, 255, 0.337);

      &:hover {
        font-weight: 700;
        background-color: var(--color-orange-1);
      }
    }

    @media screen and (max-width: 768px) {
      display: block;
      position: static;
      width: 100%;
      background-color: transparent;
      border-bottom: 1px solid rgba(255, 255, 255, 0.337);
    }
  }

  li {
    list-style: none;
    padding: 10px 15px;
    cursor: pointer;
    letter-spacing: 2px;
    transition: all 300ms;

    a {
      display: flex;
      align-items: center;
      justify-content: center;
    }

    &:hover {
      font-weight: 700;
      background-color: var(--color-orange-1);
    }
  }

  svg {
    fill: #efe8e899;
    width: 30px;
    margin-right: 10px;
  }

  &__burger {
    border: 1px solid #c3c2c27a;

    padding: 4px;
    border-radius: 5px;
    display: none;
    margin: 10px 20px;

    @media screen and (max-width: 768px) {
      display: block;
    }
  }

  &__burger div {
    width: 20px;
    height: 2px;
    background-color: #c3c2c27a;

    margin: 4px;
    transition: all 200ms ease-in;
  }

  &__menu {
    @media screen and (max-width: 768px) {
      position: absolute;
      right: 0;
      top: 52px;
      width: 80%;
      height: calc(100vh - 50px);
      // flex-direction: column;
      // align-items: flex-start;
      // justify-content: flex-start;
      background-color: #100d0dad;
      // background-color: rgba(255, 255, 255, 0.1);
      backdrop-filter: blur(2px);
      transition: all 0.2s ease-in;
      transform: translateX(100%);
      opacity: 0;
      z-index: 10;

      ul {
        flex-direction: column;
      }

      li {
        margin: auto;
        padding: 20px 0;
        border-bottom: 1px solid rgba(255, 255, 255, 0.337);
        width: 100%;
        text-align: center;
      }
    }
  }
}

.active {
  transform: translateX(0%);
  opacity: 1;
}

.toggle .line1 {
  transform: rotate(45deg) translate(4px, 4px);
}

.toggle .line2 {
  opacity: 0;
}

.toggle .line3 {
  transform: rotate(-45deg) translate(4px, -4px);
}

//////////////////////////////./
// SLIDE 1

.slide-1 {
  background-image: url(../img/main-bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  h1 {
    font-size: 300%;
    text-align: center;
    padding: 40px;
    margin-top: -100px;
  }

  button {
    width: 220px;
    height: 70px;
    background-color: var(--color-orange-3);
    outline: none;
    border: none;
    border-radius: 10px;
    font-weight: 700;
    transition: all 200ms ease;

    &:hover {
      background-color: var(--color-orange-2);
      cursor: pointer;
    }
  }
}

//////////////////////////////./
// SLIDE 2

.slide-2 {
  background-image: url(../img/the-games-bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

//////////////////////////////./
// SLIDE 3

.slide-3 {
  background-image: url(../img/features.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

//////////////////////////////./
// SLIDE 4

.slide-4 {
  background-image: url(../img/requirements.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

//////////////////////////////./
// SLIDE 5

.slide-5 {
  background-image: url(../img/top-score-bg.png);
  background-color: #000;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

//////////////////////////////./
// SLIDE 6

.slide-6 {
  background-image: url(../img/top-score-bg.png), url(../img/newsletter-bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

//////////////////////////////./
// MODAL SIGN UP LOGIN

.modal {
  // display: flex;
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1000000; /* Sit on top */
  left: 0;
  top: 0px;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.6);

  justify-content: center;
  align-items: center;

  h1,
  p {
    text-align: center;
  }

  p {
    font-size: 140%;
  }

  label {
    letter-spacing: 1px;
    color: grey;
  }

  .errorContainer {
    display: none;
    background-color: #1f0e0ee3;
    padding: 5px;
    margin: 20px 0 0;
    border: 2px dashed darkred;
    color: #fff;
  }

  .term {
    font-size: 100%;
  }

  #spanLogin,
  #spanSignup {
    cursor: pointer;
    text-decoration: underline;
  }

  &__content {
    min-width: 350px;
    width: 30%;
    background-color: #111;
    border-radius: 10px;
    padding: 30px 40px;

    // display: flex;
  }

  &__container {
    margin-bottom: 30px;

    label {
      width: 100%;
      padding: 20px 0 5px;
      margin: 5px 0 22px 0;
      display: block;
      margin: auto;
      border: none;
    }

    input {
      width: 100%;
      padding: 15px;
      margin: 5px 0 22px 0;
      display: block;
      margin: auto;
      border: none;
      background: #f1f1f1;
      border-radius: 5px;
    }
  }

  input[type='checkbox'] {
    padding-top: 10px;
    font-size: 100px;
  }

  #id01Submit,
  .submitBtn {
    display: block;
    // margin: 300px auto;
    width: 100%;
    padding: 10px;
    background-color: var(--color-orange-1);
    border: none;
    margin: 10px 0;

    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    color: #000;
    font-weight: 600;
  }

  &__checkmark {
    // display: block;
    display: none;
    position: relative;
    padding: 10px 20px;
    margin-bottom: -5px;
    margin-top: -30px;

    cursor: pointer;
    user-select: none;

    /* Hide the browser's default checkbox */
    input {
      position: absolute;
      opacity: 0;
      cursor: pointer;
      height: 0;
      width: 0;
    }

    /* Create a custom checkbox */
    .checkmark {
      position: absolute;
      top: 10px;
      left: 0;
      height: 15px;
      width: 15px;
      border-radius: 3px;
      background-color: #eee;
    }

    /* On mouse-over, add a grey background color */
    &:hover input ~ .checkmark {
      background-color: #ccc;
    }

    /* When the checkbox is checked, add a blue background */
    input:checked ~ .checkmark {
      background-color: var(--color-orange-1);
    }

    /* Create the checkmark/indicator (hidden when not checked) */
    .checkmark:after {
      content: '';
      position: absolute;
      display: none;
    }

    /* Show the checkmark when checked */
    input:checked ~ .checkmark:after {
      display: block;
    }

    /* Style the checkmark/indicator */
    .checkmark:after {
      left: 5px;
      top: 1px;
      width: 5px;
      height: 10px;
      border: solid #000;
      border-width: 0 3px 3px 0;
      -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      transform: rotate(45deg);
    }
  }
}
